<?php
/*
 * This file is part of Robot-in
 *
 * Copyright (C) 2006-2012 Hunglead,Inc. All Rights Reserved.
 *
 * http://www.hunglead.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

/**
 * 基本設定用データアクセスオブジェクト
 * @author hunglead
 */
class BaseInfoDao {

	/**
	 * 基本情報テーブルを作成
	 */
	public function createTable() {
		$query =& SC_Query_Ex::getSingletonInstance();

		$sql = <<<SQL
create table dtb_multi_store_base_info (
  harc_login_id varchar(100)
  , harc_login_password varchar(100)
  , create_date timestamp
  , update_date timestamp
) ;
SQL;
		$sth = $query->prepare($sql);
		$query->execute($sth);
	}

	/**
	 * 基本情報テーブルを削除
	 */
	public function dropTable() {
		$query =& SC_Query_Ex::getSingletonInstance();

		$sql = "drop table dtb_multi_store_base_info";
		$sth = $query->prepare($sql);
		$query->execute($sth);
	}

	/**
	 * 基本情報を取得
	 * @return array 基本情報
	 */
	public function getInfo() {
		$query =& SC_Query_Ex::getSingletonInstance();

		$sql = "SELECT harc_login_id, harc_login_password FROM dtb_multi_store_base_info";

		$result = $query->getAll($sql);

		if (count($result) > 0) {
			$res["harcLoginId"] = $result[0]["harc_login_id"];
			$res["harcPasswd"] = $result[0]["harc_login_password"];
		}

		return $res;
	}

	/**
	 * 基本情報を保存
	 * @param string $id アカウントID
	 * @param string $passwd パスワード
	 */
	public function storeInfo($id, $passwd) {

		$query =& SC_Query_Ex::getSingletonInstance();

		$query->begin();

		$values = array(
			"harc_login_id" => $id,
			"harc_login_password" => $passwd,
//			"create_date" => "current_timestamp",
//			"update_date" => "current_timestamp",
		);

		$query->delete("dtb_multi_store_base_info");
		$query->insert("dtb_multi_store_base_info", $values);

		$query->commit();
	}
}